Skip to main content

Get an execution trace

GET 

/tracing/:execution_id

Returns the trace of an agent execution that ran with tracing or attributions set to true: the input values, the fragments that each retrieval placeholder retrieved and the messages as sent to the LLM. For an execution with attributions, the trace also holds the answer and, for each sentence of the answer, the retrieved fragments that support the sentence, from the moment the answer is complete. Foundation4 keeps a trace for 60 minutes after the execution.

Permissions. None on an object. Only the API key that ran the execution can read the trace.

Agents and prompt templates describes tracing.

Request​

Responses​

The trace.